[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TDosStream.Read

Read data from the stream to a buffer.

## Declaration

Source position: objects.pp line 328

`procedure TDosStream.Read(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

If the Stream is open and the stream status is stOK then Read will read Count bytes from the stream and place them in Buf.

For an example, see TStream.Read.

## Errors

In case of an error, Status is set to StReadError, and ErrorInfo gets the OS specific error, or 0 when an attempt was made to read beyond the end of the stream.

## See also

TStream.Read |  | Read data from stream to buffer.
TDosStream.Write |  | Write data from a buffer to the stream.